<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.szxc.mapper.SzxcDiscussCentreMapper">
    
    <resultMap type="SzxcDiscussCentre" id="SzxcDiscussCentreResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="content"    column="content"    />
        <result property="channel"    column="channel"    />
        <result property="startDate"    column="start_date"    />
        <result property="endDate"    column="end_date"    />
        <result property="status"    column="status"    />
        <result property="picture"    column="picture"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="userId"    column="user_id"    />
        <result property="deptId"    column="dept_id"    />
        <result property="deptName"    column="dept_name"    />
    </resultMap>

    <sql id="selectSzxcDiscussCentreVo">
        select id, title, content, channel, start_date, end_date, status, picture, create_by, create_time, update_by, update_time, user_id, dept_id, dept_name from szxc_discuss_centre
    </sql>

    <select id="selectSzxcDiscussCentreList" parameterType="SzxcDiscussCentre" resultMap="SzxcDiscussCentreResult">
        <include refid="selectSzxcDiscussCentreVo"/>
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="content != null  and content != ''"> and content = #{content}</if>
            <if test="channel != null  and channel != ''"> and channel = #{channel}</if>
            <if test="startDate != null "> and start_date = #{startDate}</if>
            <if test="endDate != null "> and end_date = #{endDate}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
            <if test="picture != null  and picture != ''"> and picture = #{picture}</if>
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="deptId != null "> and dept_id = #{deptId}</if>
            <if test="deptName != null  and deptName != ''"> and dept_name like concat('%', #{deptName}, '%')</if>
        </where>
        order by create_time DESC
    </select>
    
    <select id="selectSzxcDiscussCentreById" parameterType="Long" resultMap="SzxcDiscussCentreResult">
        <include refid="selectSzxcDiscussCentreVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertSzxcDiscussCentre" parameterType="SzxcDiscussCentre" useGeneratedKeys="true" keyProperty="id">
        insert into szxc_discuss_centre
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null">title,</if>
            <if test="content != null">content,</if>
            <if test="channel != null">channel,</if>
            <if test="startDate != null">start_date,</if>
            <if test="endDate != null">end_date,</if>
            <if test="status != null">status,</if>
            <if test="picture != null">picture,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="userId != null">user_id,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="deptName != null">dept_name,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null">#{title},</if>
            <if test="content != null">#{content},</if>
            <if test="channel != null">#{channel},</if>
            <if test="startDate != null">#{startDate},</if>
            <if test="endDate != null">#{endDate},</if>
            <if test="status != null">#{status},</if>
            <if test="picture != null">#{picture},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="userId != null">#{userId},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="deptName != null">#{deptName},</if>
         </trim>
    </insert>

    <update id="updateSzxcDiscussCentre" parameterType="SzxcDiscussCentre">
        update szxc_discuss_centre
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null">title = #{title},</if>
            <if test="content != null">content = #{content},</if>
            <if test="channel != null">channel = #{channel},</if>
            <if test="startDate != null">start_date = #{startDate},</if>
            <if test="endDate != null">end_date = #{endDate},</if>
            <if test="status != null">status = #{status},</if>
            <if test="picture != null">picture = #{picture},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="userId != null">user_id = #{userId},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="deptName != null">dept_name = #{deptName},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSzxcDiscussCentreById" parameterType="Long">
        delete from szxc_discuss_centre where id = #{id}
    </delete>

    <delete id="deleteSzxcDiscussCentreByIds" parameterType="String">
        delete from szxc_discuss_centre where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>